/*
 * Class WEL_NON_CLIENT_METRICS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_814 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_814 [] = {0xFF01,1551,813,0xFFFF};
static const EIF_TYPE_INDEX egt_2_814 [] = {0xFF01,813,0xFFFF};
static const EIF_TYPE_INDEX egt_3_814 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_814 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_814 [] = {0xFF01,813,0xFFFF};
static const EIF_TYPE_INDEX egt_6_814 [] = {0xFF01,813,0xFFFF};
static const EIF_TYPE_INDEX egt_7_814 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_814 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_814 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_814 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_814 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_814 [] = {0xFF01,813,0xFFFF};
static const EIF_TYPE_INDEX egt_13_814 [] = {0xFF01,814,0xFFFF};
static const EIF_TYPE_INDEX egt_14_814 [] = {0xFF01,814,0xFFFF};
static const EIF_TYPE_INDEX egt_15_814 [] = {0xFF01,814,0xFFFF};
static const EIF_TYPE_INDEX egt_16_814 [] = {0xFF01,814,0xFFFF};
static const EIF_TYPE_INDEX egt_17_814 [] = {0xFF01,814,0xFFFF};


static const struct desc_info desc_814[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_814), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_814), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_814), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_814), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_814), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_814), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_814), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_814), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_814), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_814), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_814), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_814), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x065B /*813*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_814), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18869, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18889, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18891, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_814), 18892, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18893, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_814), 18895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18897, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_814), 18865, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_814), 18866, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_814), 18867, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18868, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18870, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18871, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18872, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18885, 0xFFFFFFFF},
};
void Init814(void)
{
	IDSC(desc_814, 0, 813);
	IDSC(desc_814 + 1, 1, 813);
	IDSC(desc_814 + 32, 791, 813);
	IDSC(desc_814 + 34, 1359, 813);
	IDSC(desc_814 + 44, 1308, 813);
	IDSC(desc_814 + 54, 332, 813);
}


#ifdef __cplusplus
}
#endif
